hgweb: expose input stream on parsed WSGI request object
ClosedPublic

Authored by indygreg on Mar 9 2018, 8:23 PM.

Details

Summary

Our next step towards moving away from wsgirequest to our newer,
friendlier parsedrequest type is input stream access.

This commit exposes the input stream on the instance. Consumers
in the HTTP protocol server switch to it.

Because there were very few consumers of the input stream, we stopped
storing a reference to the input stream on wsgirequest directly. All
access now goes through parsedrequest. However, wsgirequest still
may read from this stream as part of cgi.parse(). So we still need to
create the stream from wsgirequest.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
indygreg created this revision.Mar 9 2018, 8:23 PM
indygreg updated this revision to Diff 6833.Mar 10 2018, 3:03 PM
durin42 accepted this revision.Mar 12 2018, 4:58 PM
This revision is now accepted and ready to land.Mar 12 2018, 4:58 PM
This revision was automatically updated to reflect the committed changes.